Name:           ocamlweb
Version:        1.38
Release:        %mkrel 4
Summary:        Literate programming tool for OCaml
License:        LGPL
Group:          Development/OCaml
URL:            http://www.lri.fr/~filliatr/ocamlweb/
Source0:        http://www.lri.fr/~filliatr/ftp/ocamlweb/ocamlweb-%{version}.tar.gz
BuildRequires:  ocaml-compiler
Requires:           texlive
Requires(post):     texlive
Requires(postun):   texlive

%description
Literate programming, as defined by Knuth, means to combine program
code and documentation into one source document from which program
code and documentation can be extracted. The approach of ocamlweb is
that documentation is to be included in the program code as special
comments. The ocamlweb tool extracts from this the documented program
code as LaTeX document, while no special preprocessing is required to
compile the source files.

%prep
%setup -q

%build
./configure --prefix=%{buildroot}/usr --mandir=%{buildroot}%{_mandir}
make

%install
rm -rf %{buildroot}
make install
rm -f %{buildroot}/usr/share/texmf/ls-R

%post 
%{_bindir}/mktexlsr

%postun 
%{_bindir}/mktexlsr

%files
%doc COPYING README CHANGES
%doc doc/ocamlweb-%{version}-man.{html,tex}
%{_bindir}/ocamlweb
%{_datadir}/texmf/tex/latex/misc/ocamlweb.sty
%{_mandir}/man1/ocamlweb.1*


%changelog

* Sun Jan 13 2013 umeabot <umeabot> 1.38-4.mga3
+ Revision: 361763
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Mon Oct 01 2012 blue_prawn <blue_prawn> 1.38-3.mga3
+ Revision: 301101
- rebuild for ocaml-4.00.0

* Sat Sep 29 2012 blue_prawn <blue_prawn> 1.38-2.mga3
+ Revision: 300408
- new rpm group for ocaml

* Thu Jul 12 2012 malo <malo> 1.38-1.mga3
+ Revision: 270456
- update to 1.38

* Fri Apr 13 2012 blue_prawn <blue_prawn> 1.37-1.mga2
+ Revision: 230641
- imported package ocamlweb

